Skip to main content
POST
/
api
/
orgs
/
{id}
/
issues
Create issue
curl --request POST \
  --url https://atollhq.com/api/orgs/{id}/issues \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "status": "<string>",
  "assigneeId": "<string>",
  "assigneeIds": [
    "<string>"
  ],
  "projectId": "<string>",
  "milestoneId": "<string>",
  "teamId": "<string>",
  "startDate": "2023-12-25",
  "dueDate": "2023-12-25",
  "recurrenceInterval": 123,
  "labelIds": [
    "<string>"
  ]
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id identifier

Body

application/json
title
string
description
string
status
string
priority
enum<integer>
Available options:
0,
1,
2,
3
assigneeId
string
assigneeIds
string[]
projectId
string
milestoneId
string
teamId
string
startDate
string<date>
dueDate
string<date>

Date-only due date in YYYY-MM-DD format.

recurrenceType
enum<string>

Recurring task cadence. Use recurrenceInterval with custom to specify days.

Available options:
daily,
weekly,
biweekly,
monthly,
custom
recurrenceInterval
integer

Custom recurrence interval in days.

labelIds
string[]

Response

Successful response

The response is of type object.